Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# LFrustumd Class Reference

List of all members.

## Public Member Functions
| LFrustumd ()
| makeOrtho (double fnear, double ffar)
| Behaves like gluOrtho.
| makeOrtho (double fnear, double ffar, double l, double r, double t, double b)
| Behaves like gluOrtho.
| makeOrtho2D ()
| Sets up a two-dimensional orthographic frustum.
| makeOrtho2D (double l, double r, double t, double b)
| Sets up a two-dimensional orthographic frustum.
| makePerspective (double xfov, double yfov, double fnear, double ffar)
| makePerspectiveHfov (double xfov, double aspect, double fnear, double ffar)
| Behaves like gluPerspective (Aspect = width/height, Yfov in degrees) aspect +------------+ | | 1 | | yfov | | +------------+.
| makePerspectiveVfov (double yfov, double aspect, double fnear, double ffar)

## Constructor & Destructor Documentation

LFrustumd | ( |  | ) |

## Member Function Documentation

makeOrtho | ( | double | fnear,
|  | double | ffar
| ) |  |

Behaves like gluOrtho.

makeOrtho | ( | double | fnear,
|  | double | ffar,
|  | double | l,
|  | double | r,
|  | double | t,
|  | double | b
| ) |  |

Behaves like gluOrtho.

makeOrtho2D | ( | double | l,
|  | double | r,
|  | double | t,
|  | double | b
| ) |  |

Sets up a two-dimensional orthographic frustum.

makeOrtho2D | ( |  | ) |

Sets up a two-dimensional orthographic frustum.

makePerspective | ( | double | xfov,
|  | double | yfov,
|  | double | fnear,
|  | double | ffar
| ) |  |

makePerspectiveHfov | ( | double | xfov,
|  | double | aspect,
|  | double | fnear,
|  | double | ffar
| ) |  |

Behaves like gluPerspective (Aspect = width/height, Yfov in degrees) aspect +------------+ | | 1 | | yfov | | +------------+.

-------+------ \ | / \ | / \ | / \ | / \ | / \|/ W yfov

makePerspectiveVfov | ( | double | yfov,
|  | double | aspect,
|  | double | fnear,
|  | double | ffar
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties